#pragma once

#include "weapon.hpp"

namespace game::equipment {

class RegularGun: public Weapon
{
private:
    bool isAutoShoot;
public:
    RegularGun() noexcept;
    virtual void Update() noexcept;
    virtual void Shoot(const vec2f &position, bool direction, World *world, bool forced) noexcept;
};

}
